#2618 closed defect (fixed)

Each Directive Should Start on a Page

Reported by: Joel Sherrill Owned by: Chris Johns
Priority: normal Milestone: 4.11
Component: doc Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The current documentation ensures that each directive/service "man page" starts on a new page. This is in keeping with traditional UNIX documentation. This avoids having a page break early in the description of the method. The prototype, error codes, and at least part of the description will then always be on the same page without breaks.

In texinfo, the concept of a "new page" is ignored on non-printed output formats such as html and info. It only applies for PDF and PS.

The new documentation needs to follow the same pattern.

If you do not force a page break, then at least the headings "CALLING SEQUENCE", etc need to be tagged as staying with the next paragraph. Then at least the x.y.x HEADING, CALLING SEQUENCE, and prototype would be on the same page.

Change History (3)

comment:1 Changed on Mar 17, 2016 at 5:55:11 AM by Chris Johns

Component: GeneralDocumentation

comment:2 Changed on Jan 14, 2017 at 8:47:12 PM by Chris Johns

Resolution: fixed
Status: newclosed

Fixed for PDF. HTML is not going to have this.

comment:3 Changed on Oct 10, 2017 at 6:06:29 AM by Sebastian Huber

Component: Documentationdoc
Note: See TracTickets for help on using tickets.